package com.mosty.yjzl.service;

import com.mosty.base.model.vo.yjzl.*;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface TbYjzltjService {

    @ApiOperation("指令中心--首页指令状态统计信息")
    List<TbYjzltjxxVo> rwzttjxx();

    @ApiOperation("指令中心--首页指令排行统计信息")
    List<TbYjzltjphVo> rwphtjxx(String type);

    @ApiOperation("指令中心--首页指令周期统计信息")
    Map<String, Object> zlZqtjxx(String type);

    @ApiOperation("指令中心--首页指令等级统计信息")
    List<TbYzzlDjtjVo> zlDjtjxx(String type);

    @ApiOperation("指令中心--人工指令数量")
    TbZlxxRgzlCountVO selectRgzlCount(String ssbmdm, String isChild);

}
